Package com.sun.jna.platform.mac

## Class SystemB.IFmsgHdr2

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.mac.SystemB.IFmsgHdr2

- Enclosing interface:
    SystemB

      @FieldOrder({"ifm_msglen","ifm_version","ifm_type","ifm_addrs","ifm_flags","ifm_index","ifm_snd_len","ifm_snd_maxlen","ifm_snd_drops","ifm_timer","ifm_data"})
      public static class SystemB.IFmsgHdr2
      extends Structure

  Return type for sysctl CTL_NET,PF_ROUTE

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `ifm_addrs` |
    `SystemB.IFdata64` | `ifm_data` |
    `int` | `ifm_flags` |
    `short` | `ifm_index` |
    `short` | `ifm_msglen` |
    `int` | `ifm_snd_drops` |
    `int` | `ifm_snd_len` |
    `int` | `ifm_snd_maxlen` |
    `int` | `ifm_timer` |
    `byte` | `ifm_type` |
    `byte` | `ifm_version` |

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IFmsgHdr2​(Pointer p)` |

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ifm_msglen

          public short ifm_msglen

    - #### ifm_version

          public byte ifm_version

    - #### ifm_type

          public byte ifm_type

    - #### ifm_addrs

          public int ifm_addrs

    - #### ifm_flags

          public int ifm_flags

    - #### ifm_index

          public short ifm_index

    - #### ifm_snd_len

          public int ifm_snd_len

    - #### ifm_snd_maxlen

          public int ifm_snd_maxlen

    - #### ifm_snd_drops

          public int ifm_snd_drops

    - #### ifm_timer

          public int ifm_timer

    - #### ifm_data

          public SystemB.IFdata64 ifm_data

  - ### Constructor Detail

    - #### IFmsgHdr2

          public IFmsgHdr2​(Pointer p)